Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasPolygon Class Reference
[canvas module]

The QCanvasPolygon class provides a polygon on a QCanvas. More...

`#include <qcanvas.h>`

Inherits QCanvasPolygonalItem.

Inherited by QCanvasSpline.

List of all member functions.

## Public Members

- QCanvasPolygon ( QCanvas * canvas )
- ~QCanvasPolygon ()
- void setPoints ( QPointArray pa )
- QPointArray points () const
- virtual QPointArray areaPoints () const
- virtual int rtti () const

## Protected Members

- virtual void drawShape ( QPainter & p )

## Detailed Description

The QCanvasPolygon class provides a polygon on a QCanvas.

Paints a polygon with a QBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### QCanvasPolygon::QCanvasPolygon ( QCanvas * canvas )

Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

### QCanvasPolygon::~QCanvasPolygon ()

Destroys the polygon.

### QPointArray QCanvasPolygon::areaPoints () const`[virtual]`

Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

See also setPoints() and points().

Reimplemented from QCanvasPolygonalItem.

### void QCanvasPolygon::drawShape ( QPainter & p )`[virtual protected]`

Draws the polygon using the painter p.

Note that QCanvasPolygon does not support an outline (pen is always NoPen).

Reimplemented from QCanvasPolygonalItem.

### QPointArray QCanvasPolygon::points () const

Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

### int QCanvasPolygon::rtti () const`[virtual]`

Returns 4 (QCanvasItem::Rtti_Polygon).

See also QCanvasItem::rtti().

Reimplemented from QCanvasPolygonalItem.

Reimplemented in QCanvasSpline.

### void QCanvasPolygon::setPoints ( QPointArray pa )

Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.